# $Revision: 1.19.2.2 $, $Date: 2003/04/28 12:51:50 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	News
%define		pnam	Gateway
Summary:	Gateway Perl module
Summary(cs):	Modul Gateway pro Perl
Summary(da):	Perlmodul Gateway
Summary(de):	Gateway Perl Modul
Summary(es):	Mdulo de Perl Gateway
Summary(fr):	Module Perl Gateway
Summary(it):	Modulo di Perl Gateway
Summary(ja):	Gateway Perl ⥸塼
Summary(ko):	Gateway  
Summary(no):	Perlmodul Gateway
Summary(pl):	Modu Perla Gateway
Summary(pt):	Mdulo de Perl Gateway
Summary(pt_BR):	Mdulo Perl Gateway
Summary(ru):	  Perl Gateway
Summary(sv):	Gateway Perlmodul
Summary(uk):	  Perl Gateway
Summary(zh_CN):	Gateway Perl ģ
Name:		perl-Gateway
Version:	0.42
Release:	9
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
Patch0:		%{name}-makefile.patch
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6
BuildRequires:	perl-News-Article
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gateway - Tools for gatewaying messages between news and mail.

%description -l pl
Gateway - narzdzia do tworzenia bramek news<->mail.

%prep
%setup -q -n %{pnam}-%{version}
%patch -p0

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO doc/*
%{perl_sitelib}/News/Gateway.pm
%{perl_sitelib}/auto/News
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Gateway.spec,v $
Revision 1.19.2.2  2003/04/28 12:51:50  ankry
- really rel++

Revision 1.19.2.1  2003/03/13 00:57:25  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.19  2003/02/25 00:39:24  radek
- use the __perl macro

Revision 1.18  2003/02/18 15:32:41  ankry
- massive attack: change CPAN URLs

Revision 1.17  2002/07/18 13:26:14  ankry
- translations, cleaning
- new %%doc
- added %%{perl_sitelib}/auto/News
- release 8

Revision 1.16  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/03/03 06:18:11  kloczek
- release 7.

Revision 1.14  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/10 15:26:27  depesz
adapterized

Revision 1.12  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:09:41  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/06 15:36:54  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:52  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:52:17  pius
- initial release
